package org.bench4q.agent.plugin.basic.log;

import org.bench4q.agent.plugin.Constructor;
import org.bench4q.agent.plugin.Parameter;
import org.bench4q.agent.plugin.Plugin;
import org.bench4q.agent.plugin.behavior.Behavior;
import org.bench4q.agent.plugin.behavior.BehaviorType;
import org.bench4q.agent.utils.Type.SupportTypes;

@Plugin("Log")
public class LogPlugin {

	@Constructor
	public LogPlugin() {

	}

	@Behavior(value = "Log", type = BehaviorType.USER_BEHAVIOR)
	public LogReturn log(
			@Parameter(value = "message", type = SupportTypes.Field) String message) {
		System.out.println(message);
		return new LogReturn(true);
	}
}
